Google Chrome Installation Error

advertisement

Google Chrome Installation Error

Linux users have to change the web browser to Google Chrome, because it is the only browser that supports websites with Flash content, it has a built-in support for Flash technology.

After you have downloaded Google Chrome and you are installing the Google Chrome web browser with GDebi Package Installer. This should start the installation as shown in this guide, but if you get an error message.

The package might be corrupted or you are not allowed to open the file. Check the permission of the file.
Then you have only one option to fix the problem.

Open your home folder, right-click on the folder where you downloaded the google-chrome-stable_current_i386.deb file, and select Open in Terminal.

In the Terminal after the $ Type

32-bit

sudo dpkg -i google-chrome-stable_current_i386.deb

and 64-bit

sudo dpkg -i google-chrome-stable_current_amd64.deb

Press Enter and type your password and Enter again.

advertisement

This command dpkg is used to install, remove, and provide information about .deb packages, and -i is for install the package in this case the same file name that was downloaded. It starts Google Chrome installation, but you get some Error, not installed and dependency problems information in the terminal text, see picture a bow and text below.

Preparing to replace google-chrome-stable 16.0.912.75-r116452 (using google-chrome-stable_current_i386.deb) …
Unpacking replacement google-chrome-stable …
dpkg: dependency problems prevent configuration of google-chrome-stable:
google-chrome-stable depends on libnss3-1d (>= 3.12.3); however:
Package libnss3-1d is not installed.
dpkg: error processing google-chrome-stable (–install):
dependency problems – leaving unconfigured
Processing triggers for desktop-file-utils …
Processing triggers for gnome-menus …
Processing triggers for bamfdaemon …
Rebuilding /usr/share/applications/bamf.index…
Processing triggers for man-db …
Errors were encountered while processing: google-chrome-stable


To fix these Error, not installed and dependency problems, type

sudo apt-get install -f

This corrects broken dependencies by installing the necessary packages and Building dependency tree. When it asking, Do you want to continue [Y/n]? type Y and press Enter, see picture a bow and text below.

sudo apt-get install -f
Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… Done
The following extra packages will be installed: libnss3-1d
The following NEW packages will be installed: libnss3-1d
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 12.6 kB of archives.
After this operation, 77.8 kB of additional disk space will be used.
Do you want to continue [Y/n]?

when you use the terminal, it tells you which packages are missing. If you use some other language than English on your Linux OS, install all yours language packages from the Package Manager.

Google Chrome Installation Error has been successfully fixed.

This instruction can be used for all similar installation problems.

advertisement

1 comment for “Google Chrome Installation Error

  1. silicont
    09/02/2012 at 9:21

    Thanks. After several false starts, this was the ticket.

Leave a Reply

Your email address will not be published. Required fields are marked *